import React from 'react'
import {
	toJS
} from 'mobx'
import {
	inject,
	observer,
} from 'mobx-react'
import {
	WeaAlertPage,
} from 'ecCom'
import {
	Spin,
} from 'antd'
import {
	i18n
} from '../../public/i18n';

import '../../style/trainActivity.css'

import Header from './Header';
import Tab from './Tab';
import MainDialog from './MainDialog';
import SubDialog from './SubDialog';

@inject('hrmAssImple')
@observer
export default class AssImple extends React.Component {
	constructor(props) {
		super(props);
	}

	componentWillMount() {
		let bool = window.location.href.indexOf('/spa/hrm/engine.html') > -1;
		if (bool) {
			document.title = i18n.module.assImple();
		}
	}

	componentWillReceiveProps(nextProps) {
		if (this.props.location.key !== nextProps.location.key) {
			this.props.hrmAssImple.refreshPage();
		}
	}

	componentDidMount() {
		this.init();
	}

	init() {
		const {
			hrmAssImple
		} = this.props, {
			getAuth,
			refreshPage,
		} = hrmAssImple;

		getAuth();
		refreshPage();
	}

	render() {
		const {
			hrmAssImple
		} = this.props, {
			main,
		} = hrmAssImple, {
			authorized,
			loading
		} = main;

		if (!authorized) {
			return (
				<div style={{height: '100%'}}>
					{loading ?  <div className='hrm-loading-center'>
									<Spin ecId={`${this && this.props && this.props.ecId || ''}_Spin@6in0xl`} spinning={loading} size='large'></Spin>
								</div>
						     :	<div className="hrm-wea-alert-page">
		                			<WeaAlertPage ecId={`${this && this.props && this.props.ecId || ''}_WeaAlertPage@k8d758`}>
						                <div style={{ color: '#000' }}>
						                    {i18n.message.authFailed()}
						                </div>
		                      		</WeaAlertPage>
	                        	</div>
	                }	
                </div>
			)
		} else {
			return (
				<div style={{height: '100%'}}>
					<Header ecId={`${this && this.props && this.props.ecId || ''}_Header@twa0x2`}>
						<Tab ecId={`${this && this.props && this.props.ecId || ''}_Tab@4v0xxo`} />
					</Header>
					<MainDialog ecId={`${this && this.props && this.props.ecId || ''}_MainDialog@o7p79b`} />
					<SubDialog ecId={`${this && this.props && this.props.ecId || ''}_SubDialog@9b6n3w`} />
				</div>
			)
		}
	}


}